Subject: Re: bug#69528: 30.0.50; [BUG] transient.el is not a member of package--builtin-versions

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 May 2024 13:49:01 +0300

> Cc: [email-masked], [email-masked]
> From: Philip Kaludercic <[email-masked]>
> Date: Sat, 25 May 2024 08:04:24 +0000
> 
> Joseph Turner <[email-masked]> writes:
> 
> > What about making `lm-version' handle the "package-version" header then
> > using `lm-version' in loaddefs-generate--parse-file?  See patches.
> 
> My main concern was if we want to have Package-Version always override
> Version, but if my patch modified loaddefs-gen, then I don't think there
> is much of a difference if we change lisp-mnt instead (in terms of the
> generality of the change).
> 
> So I am fine with the change, and think we can merge it.  Eli: Is master
> still fine for these kinds of changes?

I think so, yes.  But maybe I don't fully understand the effect of
this change?  Can you describe it?

I also added the other maintainers, in case they have opinions on
this.

Thanks.